| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | Private Member Functions | List of all members
Ogre::LodWorkQueueWorker Class Reference

Processes requests. More...

`#include <OgreLodWorkQueueWorker.h>`

Inheritance diagram for Ogre::LodWorkQueueWorker:
[legend]

## Public Member Functions
| LodWorkQueueWorker ()
virtual | ~LodWorkQueueWorker ()
void | addRequestToQueue (LodWorkQueueRequest *request)
void | addRequestToQueue (LodConfig &lodConfig, LodCollapseCostPtr &cost, LodDataPtr &data, LodInputProviderPtr &input, LodOutputProviderPtr &output, LodCollapserPtr &collapser)
void | clearPendingLodRequests ()

## Static Public Member Functions
static LodWorkQueueWorker & | getSingleton ()
static LodWorkQueueWorker * | getSingletonPtr ()

## Private Member Functions
virtual bool | canHandleRequest (const Request *req, const WorkQueue *srcQ)
| Return whether this handler can process a given request. More...

## Detailed Description

Processes requests.

## Constructor & Destructor Documentation

## ◆ LodWorkQueueWorker()

Ogre::LodWorkQueueWorker::LodWorkQueueWorker | ( |  | ) |

## ◆ ~LodWorkQueueWorker()

virtual Ogre::LodWorkQueueWorker::~LodWorkQueueWorker | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getSingletonPtr()

static LodWorkQueueWorker* Ogre::LodWorkQueueWorker::getSingletonPtr | ( |  | ) |
| static

## ◆ getSingleton()

static LodWorkQueueWorker& Ogre::LodWorkQueueWorker::getSingleton | ( |  | ) |
| static

## ◆ addRequestToQueue() [1/2]

void Ogre::LodWorkQueueWorker::addRequestToQueue | ( | LodWorkQueueRequest * | request | ) |

## ◆ addRequestToQueue() [2/2]

void Ogre::LodWorkQueueWorker::addRequestToQueue | ( | LodConfig & | lodConfig,
|  | LodCollapseCostPtr & | cost,
|  | LodDataPtr & | data,
|  | LodInputProviderPtr & | input,
|  | LodOutputProviderPtr & | output,
|  | LodCollapserPtr & | collapser
| ) |  |

## ◆ clearPendingLodRequests()

void Ogre::LodWorkQueueWorker::clearPendingLodRequests | ( |  | ) |

The documentation for this class was generated from the following file:

- OgreLodWorkQueueWorker.h